# Information Schema XTRADB\_RSEG Table

The [Information Schema](/docs/server/reference/system-tables/information-schema.md) `XTRADB_RSEG` table contains information about the XtraDB rollback segments.

The `PROCESS` [privilege](/docs/server/reference/sql-statements/account-management-sql-statements/grant.md) is required to view the table.

It has the following columns:

| Column     | Description                                                         |
| ---------- | ------------------------------------------------------------------- |
| rseg\_id   | Rollback segment id.                                                |
| space\_id  | Space where the segment is placed.                                  |
| zip\_size  | Size in bytes of the compressed page size, or zero if uncompressed. |
| page\_no   | Page number of the segment header.                                  |
| max\_size  | Maximum size in pages.                                              |
| curr\_size | Current size in pages.                                              |

The number of records will match the value set in the [innodb\_undo\_logs](/docs/server/server-usage/storage-engines/innodb/innodb-system-variables.md#innodb_undo_logs) variable (by default 128).

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-xtradb-tables/information-schema-xtradb_rseg-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
